%define major 4
%define libname %mklibname openvas %{major}
%define develname %mklibname -d openvas

Name:           openvas-libraries
Version:        4.0.6
Release:        %mkrel 2
License:        LGPLv2+
Group:          System/Libraries
Summary:        Support libraries for Open Vulnerability Assessment (OpenVAS) Server
URL:            http://www.openvas.org
Source:         http://wald.intevation.org/frs/download.php/572/%{name}-%{version}.tar.gz
Patch0:         openvas-libraries-4.0.4-build.patch
Patch1:         openvas-libraries-4.0.6-gnutls-fix.patch
BuildRequires:  libpcap-devel
BuildRequires:  glib2-devel
BuildRequires:	libgcrypt-devel
BuildRequires:  gnutls-devel
BuildRequires:  gpgme-devel
BuildRequires:  libuuid-devel
BuildRequires:	cmake
BuildRequires:	bison

%description
openvas-libraries is the base library for the OpenVAS network security scanner.

%package -n %{libname}
Group:		System/Libraries
Summary:        Support libraries for Open Vulnerability Assessment (OpenVAS) Server

%description -n %{libname}
The support libraries for Open Vulnerability Assessment (OpenVAS) Server.

%package -n %{develname}
Group:		Development/C
Summary:	Development files for openvas-libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	openvas-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files (mainly C header files) for openvas-libraries.

%prep
%setup -qn openvas-libraries-%{version}
%patch0 -p 1
%patch1 -p 2

sed -i -e 's#-Werror##' `grep -rl Werror *|grep CMakeLists.txt`

%build
%cmake
%make

%install
rm -fr %buildroot
%makeinstall_std -C build
find %{buildroot} -name *.la -exec %__rm {} \;
find %{buildroot} -name *.a -exec %__rm {} \;

%files
%{_bindir}/openvas-nasl
%{_mandir}/man1/openvas-nasl.1.*
%{_datadir}/openvas

%files -n %{libname}
%doc ChangeLog CHANGES
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/openvas
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so


%changelog

* Fri Dec 09 2011 guillomovitch <guillomovitch> 4.0.6-2.mga2
+ Revision: 179483
- new version
- new version
- spec cleanup

  + fwang <fwang>
    - rebuild for new gnutls

* Tue Feb 01 2011 dmorgan <dmorgan> 3.1.4-1.mga1
+ Revision: 46042
- imported package openvas-libraries


* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 3.1.4-1mdv2011.0
+ Revision: 602180
- br uuid
- drop old patches
- new version 3.1.4

* Sun Apr 18 2010 Funda Wang <fwang@mandriva.org> 3.0.5-1mdv2010.1
+ Revision: 536368
- New version 3.0.5

* Sun Dec 20 2009 Funda Wang <fwang@mandriva.org> 3.0.0-3mdv2010.1
+ Revision: 480351
- obsoletes openvas-libnasl

* Sun Dec 20 2009 Funda Wang <fwang@mandriva.org> 3.0.0-2mdv2010.1
+ Revision: 480325
- obsoletes old libnasl

* Sun Dec 20 2009 Funda Wang <fwang@mandriva.org> 3.0.0-1mdv2010.1
+ Revision: 480324
- fix BR
- new version 3.0.0

* Wed Aug 19 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.4-1mdv2010.0
+ Revision: 418247
- Update to new version 2.0.4
- Remove Makefile patch (not needed)
- Add patch to link with libgcrypt
- Add patch to fix format string errors

* Mon Apr 13 2009 Funda Wang <fwang@mandriva.org> 2.0.2-1mdv2009.1
+ Revision: 366567
- import openvas-libraries


